| Home | Libraries | People | FAQ | More

##### rtree(rtree const &, allocator_type const &)

The copy constructor.

###### Description

It uses Parameters and translator from the source tree.

###### Synopsis

    rtree(rtree const & src, allocator_type const & allocator)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree` `const &` | `src` | The rtree which content will be copied.
`allocator_type` `const &` | `allocator` | The allocator which will be used.

###### Throws

- If allocator copy constructor throws.
- If Value copy constructor throws.
- If allocation throws or returns invalid value.